Subject: Re: [PATCH v4 2/5] t5000: test tar files that overflow ustar headers

From: Junio C Hamano <[email-masked]>
Date: Thu, 14 Jul 2016 13:09:39 -0700

Junio C Hamano <[email-masked]> writes:

> OK, how about this on top of a replacement for js/t0006-for-v2.9.2
> that I'll send out as a reply to this message?

I won't repeat the patch body, but I had to write a log message, so 
here is what I tentatively committed (not queued yet).

Subject: archive-tar: huge offset and future timestamps would not work on 32-bit

As we are not yet moving everything to size_t but still using ulong
internally when talking about the size of object, platforms with
32-bit long will not be able to produce tar archive with 4GB+ file,
and cannot grok 077777777777UL as a constant.  Disable the extended
header feature and do not test it on them.

Signed-off-by: Junio C Hamano <[email-masked]>